> ## Documentation Index
> Fetch the complete documentation index at: https://dotsdev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Transactions

> List all transactions.



## OpenAPI

````yaml /v2.yaml get /v2/transactions
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: accounts-payable
    description: Accounts Payable Routes
  - name: apps
    description: App Routes
  - name: flows
    description: Flow routes
  - name: organizations
    description: Organization Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payments
    description: Payment Routes
  - name: payout-batches
    description: Payout Batch Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: payouts
    description: Payout Routes
  - name: transactions
    description: Transaction Routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: transfers
    description: Transfer routes
  - name: users
    description: User routes
paths:
  /v2/transactions:
    get:
      tags:
        - transactions
      summary: List all Transactions
      description: List all transactions.
      operationId: get-transactions
      parameters:
        - schema:
            type: integer
          in: query
          name: limit
          description: A limit on the number of objects to be returned, between 1 and 100.
        - schema:
            type: string
            format: uuid
          in: query
          name: starting_after
          description: >-
            A cursor for use in pagination. `starting_after` is an object ID
            that defines your place in the list. For instance, if you make a
            list request and receive 100 objects, ending with `aaa`, your
            subsequent call can include `starting_after`=`aaa` in order to fetch
            the next page of the list.
        - schema:
            type: string
            format: uuid
          in: query
          name: ending_before
          description: >-
            A cursor for use in pagination. `ending_before` is an object ID that
            defines your place in the list. For instance, if you make a list
            request and receive 100 objects, ending with `aaa`, your subsequent
            call can include `ending_before`=`aaa` in order to fetch the
            previous page of the list.
        - schema:
            type: boolean
          in: query
          name: include_transfer
          description: Include transfers in the response.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  has_more:
                    type: boolean
                    description: '`true` if there are more `transactions`.'
                  data:
                    type: array
                    description: Array of `transactions`.
                    items:
                      $ref: '#/components/schemas/transaction'
components:
  schemas:
    transaction:
      type: object
      properties:
        id:
          type: integer
        amount:
          type: number
        created:
          type: string
          format: date-time
        source_name:
          type: string
        destination_name:
          type: string
        type:
          type: string
          enum:
            - balance
            - refill
            - payout
            - payment
            - fee
            - surrogate
          description: The general category of the transaction
        metadata:
          type:
            - string
            - object
            - 'null'
          description: >-
            Set of key-value pairs that you can attach to an object. This can be
            useful for storing additional information about the object in a
            structured format.
        transfer_id:
          type: string
          format: uuid
          description: ID of the `transfer` that the transaction belongs to.
        transfer:
          $ref: '#/components/schemas/transfer'
          description: >-
            The `transfer` that the transaction belongs to. This is only present
            if `include_transfer` is true.
    transfer:
      type: object
      properties:
        id:
          type: string
          format: uuid
        created:
          type: string
          format: date-time
        user_id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - created
            - pending
            - failed
            - completed
            - reversed
            - canceled
            - flagged
        type:
          type: string
          enum:
            - refill
            - payout
            - balance
            - payment
            - settlement
            - payable
          description: |
            The type of this transfer.
             * `refill` - refill of an API App or Organization's Dots Wallet
             * `payout` - payout to a User
             * `balance` - balance transfer between Dots Wallets, such as from an API App to a User's Dots Wallet
             * `payment` - payment from a User to an API App
             * `settlement` - legacy, currently unused
             * `payable` - payable for Accounts Payable 
        amount:
          type: number
        external_data:
          type: object
          properties:
            account_id:
              type: string
            external_id:
              type: string
            platform:
              type: string
              enum:
                - ach
                - rtp
                - paypal
                - venmo
                - visa
                - amazon
                - cash_app
                - intl_bank
                - airtm
                - payoneer
                - wire
                - invoice
                - crypto
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/transaction'
        payout_link_id:
          type: string
          format: uuid
          description: ID of the `payout-link` that the transfer belongs to.
        metadata:
          type:
            - string
            - object
            - 'null'
          description: >-
            Set of key-value pairs that you can attach to an object. This can be
            useful for storing additional information about the object in a
            structured format.
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````